%global srcname p1_iconv
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    0.9.0
Release:    2%{?dist}

Summary:    Fast encoding conversion library for Erlang / Elixir
License:    GPLv2
URL:        https://github.com/processone/iconv/
Source0:    https://github.com/processone/iconv/archive/%{version}.tar.gz

BuildRequires: erlang-rebar


%description
Erlang bindings for iconv. This is used by ejabberd.


%prep
%autosetup -n iconv-%{version}


%build
%configure --enable-nif
%rebar_compile


%check
%__rebar eunit


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm644 ebin/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%files
%license COPYING
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Fri Mar 11 2016 Randy Barlow <rbarlow@redhat.com> - 0.9.0-2
- Rebuild to take advantage of the new automatic provides/requires build system.

* Thu Feb 18 2016 Randy Barlow <rbarlow@redhat.com> - 0.9.0-1
- Raise to version 0.9.0.
- Re-enable tests on i686.

* Wed Jan 06 2016 Randy Barlow <rbarlow@redhat.com> - 0-2.20150624git8b7542b1
- Add dependency on erlang-erts.
- Drop build dependency on erlang.
- Run tests, except on i686.
- Run configure.

* Sun Dec 27 2015 Randy Barlow <rbarlow@redhat.com> - 0-1.20150624git8b7542b1
- Initial release.
